#
# spec file for package python-zope.component
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.component
Version:        4.3.0
Release:        bp153.1.17
Summary:        Zope Component Architecture
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.component
Source:         https://files.pythonhosted.org/packages/source/z/zope.component/zope.component-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-zope.event
Requires:       python-zope.interface >= 4.1.0
%python_subpackages

%description
This package is intended to be independently reusable in any Python project. It
is maintained by the Zope Toolkit project.

This package represents the core of the Zope Component Architecture. Together
with the 'zope.interface' package, it provides facilities for defining,
registering and looking up components.

Please see http://docs.zope.org/zope.component/ or doc package for the
documentation.

%prep
%setup -q -n zope.component-%{version}
rm -rf src/zope.component.egg-info

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root)
%doc CHANGES.rst COPYRIGHT.txt LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Sun Jul 16 2017 aloisio@gmx.com
- Update to version 4.3.0
  * When testing PURE_PYTHON environments under tox, avoid
    poisoning the user’s global wheel cache.
  * Drop support for Python 2.6 and 3.2.
  * Add support for Python 3.5.
  4.2.2:
  * Fix test cases for PyPy and PyPy3.
- Split docs and tests into separate package to avoid dependency
  loop.
- Converted to single-spec
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.2.1:
  * Added support for Python 3.4.
- switch source archive to tar.gz (zip not available)
- remove unzip from BuildRequires
* Wed Feb 19 2014 os-dev@jacraig.com
- Update to 4.2.0:
  * Updated ``boostrap.py`` to version 2.2.
  * Reset the cached ``adapter_hooks`` at ``zope.testing.cleanup.cleanUp``
    time (LP1100501).
  * Implemented ability to specify adapter and utility names in Python. Use
    the ``@zope.component.named(name)`` decorator to specify the name.
- Update python-zope.interface requirement version (see setup.py).
* Tue Dec 10 2013 p.drouand@gmail.com
- Use download Url as source
- Add unzip requirement to support tarball format
* Wed Jul 31 2013 hpj@urpla.net
- disable testing due to circular dependency with python-zope.security
* Mon Jul 29 2013 hpj@urpla.net
- version 4.1.0: initial build
